#include <bits/stdc++.h>
#include "vision.h"

using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2,3};
}
int getMove1d(vector<int> v)
{
    int n=v.size(),put,mijl;
    vector<int> poz[20];
    for(int i=0;i<v.size();i++)
        poz[v[i]].push_back(i);
    mijl=(v.size()-1)/2;
    put=v[mijl];
    if(put==1)
    {
        if(v[mijl+1]==2)
            return mijl+1;
        return mijl-1;
    }
    if(put==2)
    {
        if(v[mijl+1]==3)
            return mijl+2;
        return mijl-2;
    }
    if(put==3)
    {
        if(v[mijl+1]==1)
            return mijl+3;
        return mijl-3;
    }
}
vector<vector<int>> getVisionPattern2d()
{
    //
}
pair<int,int> getMove2d(vector<vector<int>> v)
{
    //
}
